> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zlb/load-balancer-instance/setsecuritygroupforloadbalancers.md).

# SetSecurityGroupForLoadBalancers

## 1. API Description

This API (SetSecurityGroupForLoadBalancers) is used to batch change the security group bound to load balancer instances.

{% hint style="info" %}
**Notes**

* Each load balancer instance is processed independently, and the failure of some instances does not affect the others.
* If the state of a load balancer instance does not allow changing the security group, the instance is directly counted as a failed item.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type            | Description                                                                                                                                                                                                         |
| --------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| securityGroupId | Yes      | String          | <p>ID of the new security group.</p><p>It can be obtained by calling <a href="/api-reference/zec/security-group/describesecuritygroups.md">DescribeSecurityGroups</a>.</p>                                          |
| loadBalancerIds | Yes      | Array of String | <p>IDs of the load balancers whose security group is to be changed.</p><p>It can be obtained by calling <a href="/api-reference/zlb/load-balancer-instance/describeloadbalancers.md">DescribeLoadBalancers</a>.</p> |

## 3. Output Parameters

| Parameter Name        | Type            | Description                                                                                                           |
| --------------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId             | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| failedLoadBalancerIds | Array of String | ID list of load balancers failed to change security group.                                                            |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Batch change the security group of load balancers.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: SetSecurityGroupForLoadBalancers
<Common Request Params>

Request:
{
  "securityGroupId": "<your sg id>",
  "loadBalancerIds": [
    "<your lb id1>",
    "<your lb id2>"
  ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "failedLoadBalancerIds": []
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                           | Description                    |
| ---------------- | ------------------------------------ | ------------------------------ |
| 404              | INVALID\_SECURITY\_GROUP\_NOT\_FOUND | Security group does not exist. |
